### Method

# Camel MessageInfo set_user_header

since: 3.42

#### Declaration [src]

    gboolean
    camel_message_info_set_user_header (
      CamelMessageInfo* mi,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Set `value` for a single user-defined message header of the associated message. When the `value` is `NULL`, the header `name` is removed from the user-defined headers.

If the `mi` changed, the ‘dirty’ flag is set automatically, unless the `mi` is aborting notifications. There is not emitted folder’s “changed” signal for this `mi`.

Available since: 3.42

#### Parameters

`name`

  Type: `const gchar*`

  Header name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Header value, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the value changed.